Create EventAsk AIpost https://preview.threekit.com/api/analytics/eventsCreate an event and return the detailsQuery Paramsbearer_tokenstringPublic access token used to authorize the request. Requests may only come from the token's allowed domains. This parameter is mandatory when making requests from a browser. Outside of the browser instead supply a bearer header using a private access token.orgIdstringRetrieve list of products of a particular organization. For the token's organization, it retrieves the list of all products. For a public organization it retrieves the list of shared products.Body ParamsEvent creation fieldseventTypestringenumrequiredSpecify the type of event to be stored. The supported event types ar listed belowproduct downloadproduct session endproduct configuration startproduction configuration attribute setproduct cart-addproduct orderedproduct social shareproduce AR not availableproduct AR offeredproduct AR mobile transition offeredproduct AR mobile transition completedShow 11 enum valueseventMetadataobjectUser defined event related metadataeventMetadata objectorgIdstringrequiredID of the org linked to the eventassetIdstringID of the asset linked to the eventuserIdstringID of the user using the session linked to the eventsessionIdstringrequiredID of the session linked to the eventconfigIdstringID of the configuration of a product. This can either be the short ID or the complete UUID of the configuration stored in configurations-serviceconfigurationobjectComplete configuration object of a product. This can be used in place of configId place as wellconfiguration objectdevicestringThis is the device being used for the session linked to the event. By default it will be extracted from the User-Agent header present in a requestmetricnumberCan be used to store arbitrary metric for an event. It defaults to 1 if not provided. Numbers with decimal places are supportedResponses 200Create an event successfully and return it's details 422Request to create an event with an invalid parameter valueUpdated about 1 year ago